nsfftf_plan Struct Reference

data structure for an NSFFT (nonequispaced sparse fast Fourier transform) plan with float precision More...

`#include <nfft3.h>`

## Public Member Functions

| FFTW_MANGLE_FLOAT (plan) *set_fftw_plan1
| fftw plan for the nfft blocks
| FFTW_MANGLE_FLOAT (plan) *set_fftw_plan2
| fftw plan for the nfft blocks

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients.
NFFT_INT | M_total
| Total number of samples.
fftwf_complex * | f_hat
| Fourier coefficients.
fftwf_complex * | f
| Samples.
void(* | mv_trafo )(void *)
| Transform.
void(* | mv_adjoint )(void *)
| Adjoint transform.
int | d
| dimension, rank; d = 2, 3
int | J
| problem size, i.e., d=2: N_total=(J+4) 2^(J+1) d=3: N_total=2^J 6(2^((J+1)/2+1)-1)+2^(3(J/2+1))
int | sigma
| oversampling-factor
unsigned | flags
| flags for precomputation, malloc
int * | index_sparse_to_full
| index conversation, overflow for d=3, J=9!
int | r_act_nfft_plan
| index of current nfft block
nfftf_plan * | act_nfft_plan
| current nfft block
nfftf_plan * | center_nfft_plan
| central nfft block
nfftf_plan * | set_nfft_plan_1d
| nfft plans for short nffts
nfftf_plan * | set_nfft_plan_2d
| nfft plans for short nffts
float * | x_transposed
| coordinate exchanged nodes, d = 2
float * | x_102
float * | x_201
float * | x_120
float * | x_021
| coordinate exchanged nodes, d=3

## Detailed Description

data structure for an NSFFT (nonequispaced sparse fast Fourier transform) plan with float precision

Definition at line 471 of file nfft3.h.

## Field Documentation

## N_total

NFFT_INT nsfftf_plan::N_total

Total number of Fourier coefficients.

Definition at line 471 of file nfft3.h.

## M_total

NFFT_INT nsfftf_plan::M_total

Total number of samples.

Definition at line 471 of file nfft3.h.

## f_hat

fftwf_complex* nsfftf_plan::f_hat

Fourier coefficients.

Definition at line 471 of file nfft3.h.

## f

fftwf_complex* nsfftf_plan::f

Samples.

Definition at line 471 of file nfft3.h.

## mv_trafo

void(* nsfftf_plan::mv_trafo) (void *)

Transform.

Definition at line 471 of file nfft3.h.

## mv_adjoint

void(* nsfftf_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 471 of file nfft3.h.

## d

int nsfftf_plan::d

dimension, rank; d = 2, 3

Definition at line 471 of file nfft3.h.

## J

int nsfftf_plan::J

problem size, i.e., d=2: N_total=(J+4) 2^(J+1) d=3: N_total=2^J 6(2^((J+1)/2+1)-1)+2^(3(J/2+1))

Definition at line 471 of file nfft3.h.

## sigma

int nsfftf_plan::sigma

oversampling-factor

Definition at line 471 of file nfft3.h.

## flags

unsigned nsfftf_plan::flags

flags for precomputation, malloc

Definition at line 471 of file nfft3.h.

## index_sparse_to_full

int* nsfftf_plan::index_sparse_to_full

index conversation, overflow for d=3, J=9!

Definition at line 471 of file nfft3.h.

## r_act_nfft_plan

int nsfftf_plan::r_act_nfft_plan

index of current nfft block

Definition at line 471 of file nfft3.h.

## act_nfft_plan

nfftf_plan* nsfftf_plan::act_nfft_plan

current nfft block

Definition at line 471 of file nfft3.h.

## center_nfft_plan

nfftf_plan* nsfftf_plan::center_nfft_plan

central nfft block

Definition at line 471 of file nfft3.h.

## set_nfft_plan_1d

nfftf_plan* nsfftf_plan::set_nfft_plan_1d

nfft plans for short nffts

Definition at line 471 of file nfft3.h.

## set_nfft_plan_2d

nfftf_plan* nsfftf_plan::set_nfft_plan_2d

nfft plans for short nffts

Definition at line 471 of file nfft3.h.

## x_transposed

float* nsfftf_plan::x_transposed

coordinate exchanged nodes, d = 2

Definition at line 471 of file nfft3.h.

## x_102

float* nsfftf_plan::x_102

Definition at line 471 of file nfft3.h.

## x_201

float * nsfftf_plan::x_201

Definition at line 471 of file nfft3.h.

## x_120

float * nsfftf_plan::x_120

Definition at line 471 of file nfft3.h.

## x_021

float * nsfftf_plan::x_021

coordinate exchanged nodes, d=3

Definition at line 471 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h